Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07069 Cheat System Trivial Always Aug 6, 2018, 06:49 Aug 13, 2018, 04:50
Tester kunikuni View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.200 Fixed in Version 0.201 Build 64-bit
Summary 07069: "On/Off" color is incorrect on "AutoFire Status" screen.
Description "On/Off" color is incorrect on "AutoFire Status" screen.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
png file icon MAME_0.199_Enabled.png (37,545 bytes) Aug 6, 2018, 06:49 Uploaded by kunikuni
kunikuni
png file icon MAME_0.200_Enabled.png (46,225 bytes) Aug 6, 2018, 06:49 Uploaded by kunikuni
kunikuni
png file icon MAME_0.200_Disabled.png (44,862 bytes) Aug 6, 2018, 06:50 Uploaded by kunikuni
kunikuni
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.15317
kunikuni
Tester
Aug 7, 2018, 23:28
edited on: Aug 8, 2018, 03:53
src/frontend/mame/ui/cheatopt.cpp line:297

incorrect: item_append_on_off(field.name(), settings.autofire, (autofire_toggle ? FLAG_DISABLE : FLAG_INVERT), (void *)&field);

correct : item_append_on_off(field.name(), settings.autofire, (autofire_toggle ? FLAG_DISABLE | FLAG_INVERT : 0), (void *)&field);
User avatar
No.15327
cuavas
Administrator
Aug 11, 2018, 15:06
Can you point to the commit where this changed? If it was correct previously, there should be a revision where this change happened.
User avatar
No.15328
kunikuni
Tester
Aug 11, 2018, 15:37
Please refer to https://github.com/mamedev/mame/commit/d2fbefd97733188b4ceb2e3de963971b9e658813